Subject: Re: bug#62698: bind:utils

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 03 May 2023 09:01:34 -0400

Hi,

Brian Cully <[email-masked]> writes:

> Αντώνιος Τσώλης <[email-masked]> writes:
>
>> Well, I use this:
>>
>>   (packages
>>      (append        (map specification->package+output
>>           '("bind:utils" ... ))
>>      %base-packages))
>>
>> But I am new to scheme/guile/guix, so maybe I do something
>> wrong. Anyway, thanks for confirming that it works on your
>> side. It's probably an issue with my configuration. :)
>
> I suspected this was the problem. You really do need to use:
>
> (map (compose list specification->package+output)
>     '("bind:utils"))
>
> Because ‘specification->package+output’ returns two values, and you'll
> need to combine those into a list for the second value (the ‘utils’
> output) to be seen.

Thanks for finding the problem.  Should we leave this bug open until
specification->package+output is properly documented in our manual, with
an example?  If yes, would you like to try your hand at adding it?

-- 
Thanks,
Maxim